var ProgressBar = cc.Sprite.extend({
	progress:null,
	ctor:function(res_back, res_progress){
		this._super(res_back);
		this.progress = new cc.ProgressTimer(new cc.Sprite(res_progress));
		this.progress.setType(cc.ProgressTimer.TYPE_BAR);
		this.progress.setBarChangeRate(cc.p(1, 0));
		this.progress.setRotationY(180);
		this.progress.setMidpoint(cc.p(0, 0));
		this.progress.setPercentage(100);
		var rect = this.getTextureRect();
		this.progress.setPosition(cc.p(rect.width / 2 ,rect.height / 2));
		this.addChild(this.progress, 2);
	},
	restore:function(){
		this.progress.stopAllActions();
		this.progress.setPercentage(100);
	},
	start:function(){
		this.progress.stopAllActions();
		this.progress.setPercentage(100);
		var to = new cc.ProgressTo(Config_Choose.time, 0);
		this.progress.runAction(to);
		customPlayEffect(aePath("clock", false, true));
	},
	stop:function(){
		this.progress.stopAllActions();
//		this.progress.setPercentage(0);
	}
});