function releaseObj(obj){
	if (obj) {
		obj.release();                                                                                                                          
		obj = null;
	}
}

function showPrivacy(){
    if(cc.sys.os == cc.sys.OS_ANDROID){
        jsb.reflection.callStaticMethod("com/duoduo/child/story/thirdparty/cocos/NativeInteraction",
                "showPrivacy", "()V");
    }
}

function customPlayEffect(url, loop, stop_other) {
    if(cc.sys.os === cc.sys.OS_IOS){
        if (stop_other) {
        	cc.audioEngine.stopAllEffects();
        }

        cc.audioEngine.playEffect(url, loop);
    }else{
        if (stop_other) {
            jsb.AudioEngine.stopAll();
        }

        jsb.AudioEngine.play2d(url,loop);
    }
}

function ddStopAllAudios() {
    if(cc.sys.os === cc.sys.OS_IOS){
        cc.audioEngine.stopAllEffects();
    }else{
        jsb.AudioEngine.stopAll();
    }
}

function shuffle(arry){
	var sortArr = new Array();
	var len = arry.length;//获取数组长度指定随机次数 


	for (var i = 0; i < len;) {
		var index = Math.floor(Math.random() * len);
		if (arry[index] != null) {
			sortArr.push(arry[index]);
			i++;
			arry[index] = null;
		}
	}
	return sortArr;
}

function randomFrom(lowerValue,upperValue)
{
	return Math.floor(Math.random() * (upperValue - lowerValue + 1) + lowerValue);
}

function addBackMenu(menu, parent, callfunc) {
	var arry_menu_item = [];
	var backItem = new cc.MenuItemImage(
			resPaht("home", null, "return"),
			resPaht("home", null, "return"),
			callfunc, parent);
	backItem.attr({
		x: Config_Global.pos_ret.x,
		y: Config_Global.pos_ret.y,
		anchorX: 0.5,
		anchorY: 0.5
	});
	arry_menu_item[0] = backItem;

	menu = new cc.Menu(arry_menu_item);
	menu.x = 0;
	menu.y = 0;
	parent.addChild(menu, 300);
}
