function playAudio(audio_path, is_music, loop){
    var audioid = '';

    if(cc.sys.os === cc.sys.OS_IOS){
        if(is_music){
            cc.audioEngine.playMusic(audio_path,loop);
        }else{
            audioid = cc.audioEngine.playEffect(audio_path,loop);
        }
    }else{
        jsb.AudioEngine.play2d(audio_path,loop);
    }

    return audioid;
}
function stopAllAudios() {
    if(cc.sys.os === cc.sys.OS_IOS){
        cc.audioEngine.stopAllEffects();
        cc.audioEngine.stopMusic(true);
    }else{
        cc.audioEngine.stopMusic(true);
        jsb.AudioEngine.stopAll();
    }
}

function setLocalImage(image_path, sprite, width, height) {
    cc.log("image path is " + image_path);
    var sprite_src = new cc.Sprite(image_path);
    sprite.updateWithSprite(sprite_src, cc.rect(0, 0, sprite_src.width, sprite_src.height), false, cc.p(0, 0), cc.size(width, height), cc.rect(0, 0, 0, 0));
}

function isPad(){
    if(cc.sys.os == cc.sys.OS_ANDROID){
    		var strSize = jsb.reflection.callStaticMethod("com/duoduo/child/story/thirdparty/cocos/NativeInteraction", "getScreenSize", "()Ljava/lang/String;");
    		if(strSize && strSize.length){
                var parse_result = JSON.parse(strSize);
                var width = parseInt(parse_result.width);
                var height = parseInt(parse_result.height);
                if(width *3 == height * 4){
                    return true;
                }
            }
            return false;
    }else if(cc.sys.os == cc.sys.OS_IOS){
    		return false;
    }
}

function winWidth(){
    if(cc.sys.os == cc.sys.OS_IOS){
        return 1334;
    }
    if(isPad()){
        return 1334;
    }
    var strSize = jsb.reflection.callStaticMethod("com/duoduo/child/story/thirdparty/cocos/NativeInteraction", "getScreenSize", "()Ljava/lang/String;");
    if(strSize && strSize.length){
        var parse_result = JSON.parse(strSize);
        var width = parseInt(parse_result.width);
        var height = parseInt(parse_result.height);

        return width / height * 750;
    }

    return 1334;
}

function gapX(){
    if(cc.sys.os == cc.sys.OS_IOS){
       return 0;
    }
    if(isPad())
        return 0;

    if((winWidth() - 1334) > 30)
        return 30;

    return 0;
}

function getChannel(){
   if(cc.sys.os == cc.sys.OS_ANDROID){
       return jsb.reflection.callStaticMethod("com/duoduo/child/story/thirdparty/cocos/NativeInteraction", "getChannel", "()Ljava/lang/String;");
   }else{
       return "AppStore";
   }
}

function getPackage(){
    if(cc.sys.os == cc.sys.OS_ANDROID){
           return jsb.reflection.callStaticMethod("com/duoduo/child/story/thirdparty/cocos/NativeInteraction", "getPackage", "()Ljava/lang/String;");
       }else{
           return "com.qinqinxiong.learn.music";
       }
}

function verCode(){
    if(cc.sys.os == cc.sys.OS_ANDROID){
        return jsb.reflection.callStaticMethod("com/duoduo/child/story/thirdparty/cocos/NativeInteraction", "verCode", "()Ljava/lang/String;");
    }else{
        return "1001";
    }
}

