function isInstall(package_name_str){
    if(cc.sys.os == cc.sys.OS_ANDROID){
        return jsb.reflection.callStaticMethod("com/duoduo/child/story/thirdparty/cocos/NativeInteraction", "IsAppInstalled", "(Ljava/lang/String;)Z", package_name_str);
    }else if(cc.sys.os == cc.sys.OS_IOS){
        return false;
    }else{
        return false;
    }
}

function recommandType(){
    return INSTALL_TYPE;
}

function filterAdInstall(arry_ad_src, ad_num){
    var array_install = new Array();
    var array_no_install = new Array();
    for(var n_index = 0; n_index < arry_ad_src.length; ++n_index){
        var ad_item = arry_ad_src[n_index];
        cc.log("duoduokag isInstall " + isInstall(ad_item.getArUrl()));
        if(!isInstall(ad_item.getArUrl())){
            array_no_install.push(ad_item);
        }else{
            array_install.push(ad_item);
        }
    }

    if(recommandType()){//recommand installed apps
        if(array_install.length >= ad_num){
            return array_install.slice(0, ad_num);
        }else {
            return array_install;
        }
    }else {
        if(array_no_install.length >= ad_num){
            return array_no_install.slice(0, ad_num);
        }else{
            var ad_gap = ad_num - array_no_install.length;
            if(ad_gap <= array_install.length){
                return array_no_install.concat(array_install.slice(0, ad_gap));
            }else{
                return array_no_install.concat(array_install);
            }
        }
    }
}

function parseAdList(arry_ret, ad_list){
    for(var n_index = 0; n_index < ad_list.length; ++n_index){
    	var ad_item = new AdBean();
 		ad_item.setName(ad_list[n_index].name);
    	ad_item.setPic(ad_list[n_index].pic);
    	ad_item.setQuitPic(ad_list[n_index].quitpic);
    	ad_item.setDesc(ad_list[n_index].des);
    	if(cc.sys.os == cc.sys.OS_ANDROID){
    	    ad_item.setArUrl(ad_list[n_index].pkg);
    	}else{
    	    ad_item.setSchema(ad_list[n_index].urlschema);
            ad_item.setIOSUrl(ad_list[n_index].iosurl);
   		}

    	arry_ret[n_index] = ad_item;
   	}
}

var AD_QUIT_INDEX = "AD_QUIT_INDEX";
function getQuitAd() {
    if (!ARRY_AD_QUIT || 0 == ARRY_AD_QUIT.length || !AD_ENABLE) {
        return null;
    }

    var cur_quit_index = cc.sys.localStorage.getItem(AD_QUIT_INDEX);

    if (!cur_quit_index) {
        cur_quit_index = 0;
        cc.sys.localStorage.setItem(AD_QUIT_INDEX, cur_quit_index);
    }

    cur_quit_index = cur_quit_index % ARRY_AD_QUIT.length;
    var ad_item = ARRY_AD_QUIT[cur_quit_index];

    cc.sys.localStorage.setItem(AD_QUIT_INDEX, ++cur_quit_index);

    return ad_item;
}
