var Config_Home = null;
var Config_Select = null;
var Config_Global = null;
var Config_Game = null;
var Config_Choose = null;

function CalculateConfig(size) {
	Config_Global = {
		pos_ret:cc.p(90, size.height - 75),
		key_stage:"kEY_CHOOSE_STAGE"
	};
	Config_Home = {
		scale_invterval:0.2,
		scale_time_gap:1,
	    title:{
	    	pos_begin:cc.p(size.width / 2, size.height + 200),
	    	pos_end:cc.p(size.width / 2, size.height / 2 + 130)
	    },
	    btn_play:{
	    	scale_begin:0.9,
	    	scale_end:1.1,
	    	pos:cc.p(size.width / 2 - 140, 150)
	    },
	    btn_video:{
	    	scale_begin:0.9,
	    	scale_end:1.1,
	    	pos:cc.p(size.width / 2 + 190, 150)
	    }
	};
	Config_Select = {
		arry_name:["fruit", "vegetable", "car", "animal", "yesheng"],
		arry_name_cn:["水果", "蔬菜", "汽车", "农场动物", "野生动物"],
	    arry_pos:[
	    	cc.p(size.width / 2 - 190, size.height * 2 / 3 + 30),
	    	cc.p(size.width / 2 + 190, size.height * 2 / 3 + 30),
	    	cc.p(size.width / 4 - 50, size.height / 3 - 30),
	    	cc.p(size.width / 2, size.height / 3 - 30),
            cc.p(size.width * 3 / 4 + 50, size.height / 3 - 22)
	    ]
	};
	Config_Game = {
		pos:{
			btn_left:cc.p(150, size.height / 2),
			btn_right:cc.p(size.width - 150, size.height / 2),
			pic:cc.p(size.width / 2, size.height / 2),
			img:cc.p(size.width / 2 - 3, size.height / 2 + 80),
			cn:cc.p(cc.winSize.width / 2, size.height / 2 - 160),
			en:cc.p(cc.winSize.width / 2, size.height / 2 - 230)
		},
		arry_num:[12,12,12,12,12],
		fruit:[
		           {pic:"boluo", cn:"菠萝", en:"pineapple",type:"fruit"}, 
		           {pic:"caomei", cn:"草莓", en:"strawberry",type:"fruit"},
		           {pic:"chengzi", cn:"橙子", en:"orange",type:"fruit"},
		           {pic:"li", cn:"梨", en:"pear",type:"fruit"},
		           {pic:"mihoutao", cn:"猕猴桃", en:"kiwi fruit",type:"fruit"},
		           {pic:"pipa", cn:"枇杷", en:"loquat",type:"fruit"},
		           {pic:"putao", cn:"葡萄", en:"grape",type:"fruit"},
		           {pic:"shiliu", cn:"石榴", en:"pomegranate",type:"fruit"},
		           {pic:"taozi", cn:"桃子", en:"peach",type:"fruit"},
		           {pic:"xigua", cn:"西瓜", en:"watermelon",type:"fruit"},
		           {pic:"xiangjiao", cn:"香蕉", en:"banana",type:"fruit"},
		           {pic:"apple", cn:"苹果", en:"apple",type:"fruit"}],
		vegetable:[
		           {pic:"bailuobo", cn:"萝卜", en:"radish",type:"vegetable"}, 
		           {pic:"bocai", cn:"菠菜", en:"spinach",type:"vegetable"},
		           {pic:"dabaicai", cn:"大白菜", en:"chinese cabbage",type:"vegetable"},
		           {pic:"hongshu", cn:"红薯", en:"sweet potato",type:"vegetable"},
		           {pic:"huluobo", cn:"胡萝卜", en:"carrot",type:"vegetable"},
		           {pic:"qiezi", cn:"茄子", en:"eggplant",type:"vegetable"},
		           {pic:"kugua", cn:"苦瓜", en:"balsam pear",type:"vegetable"},
		           {pic:"lajiao", cn:"辣椒", en:"chilli",type:"vegetable"},
		           {pic:"mogu", cn:"蘑菇", en:"mushroom",type:"vegetable"},
		           {pic:"tudou", cn:"土豆", en:"potato",type:"vegetable"},
		           {pic:"xihongshi", cn:"西红柿", en:"tomato",type:"vegetable"},
		           {pic:"yumi", cn:"玉米", en:"maize",type:"vegetable"}
		],
		car:[
		     {pic:"forklift", cn:"铲车", en:"forklift",type:"car"},
		     {pic:"convertible", cn:"敞篷车", en:"convertible",type:"car"},
		     {pic:"taxi", cn:"出租车", en:"taxi",type:"car"},
		     {pic:"bus", cn:"公共汽车", en:"bus",type:"car"},
		     {pic:"tour_bus", cn:"观光车", en:"tour bus",type:"car"},
		     {pic:"jeep", cn:"吉普车", en:"jeep",type:"car"},
		     {pic:"police", cn:"警车", en:"police car",type:"car"},
		     {pic:"ambulence", cn:"救护车", en:"ambulence",type:"car"},
		     {pic:"kache", cn:"卡车", en:"lorry",type:"car"},
		     {pic:"saiche", cn:"赛车", en:"racing car",type:"car"},
		     {pic:"xiaofang", cn:"消防车", en:"fire engine",type:"car"},
		     {pic:"yueye", cn:"越野车", en:"cross country vehicle",type:"car"}
		],
		animal:[
		        {pic:"goose", cn:"鹅", en:"goose",type:"animal"},
		        {pic:"pigeon", cn:"鸽子", en:"pigeon",type:"animal"},
		        {pic:"cock", cn:"公鸡", en:"cock",type:"animal"},
		        {pic:"dog", cn:"狗", en:"dog",type:"animal"},
		        {pic:"horse", cn:"马", en:"horse",type:"animal"},
		        {pic:"cat", cn:"猫", en:"cat",type:"animal"},
		        {pic:"sheep", cn:"绵羊", en:"sheep",type:"animal"},
		        {pic:"cow", cn:"奶牛", en:"cow",type:"animal"},
		        {pic:"rabbit", cn:"兔子", en:"rabbit",type:"animal"},
		        {pic:"duck", cn:"鸭", en:"duck",type:"animal"},
		        {pic:"parrot", cn:"鹦鹉", en:"parrot",type:"animal"},
		        {pic:"pig", cn:"猪", en:"pig",type:"animal"}
		],
		yesheng:[
		    {pic:"bear", cn:"熊", en:"bear",type:"yesheng"},
		    {pic:"deer", cn:"梅花鹿", en:"deer",type:"yesheng"},
		    {pic:"elephant", cn:"大象", en:"elephant",type:"yesheng"},
		    {pic:"kangaroo", cn:"袋鼠", en:"kangaroo",type:"yesheng"},
		    {pic:"leopard", cn:"豹", en:"leopard",type:"yesheng"},
		    {pic:"lion", cn:"狮子", en:"lion",type:"yesheng"},
		    {pic:"monkey", cn:"猴子", en:"monkey",type:"yesheng"},
		    {pic:"panda", cn:"熊猫", en:"panda",type:"yesheng"},
		    {pic:"rhinoceros", cn:"犀牛", en:"rhinoceros",type:"yesheng"},
		    {pic:"tiger", cn:"老虎", en:"tiger",type:"yesheng"},
		    {pic:"wolf", cn:"狼", en:"wolf",type:"yesheng"},
		    {pic:"zebra", cn:"斑马", en:"zebra",type:"yesheng"}
		]
	};
	Config_Choose = {
		percent:[cc.p(0, 0),
		         cc.p(15, 30),
		         cc.p(30, 40),
		         cc.p(40, 48),
		         cc.p(49, 55),
		         cc.p(56, 62),
		         cc.p(63, 70),
		         cc.p(71, 75),
		         cc.p(76, 83),
		         cc.p(84, 89),
		         cc.p(90, 95),
		         cc.p(96, 99),
		         cc.p(100, 100)
		         ],
		pos:{
			target:cc.p(size.width * 2 / 5, size.height / 2 + 70),
			src:[
			     cc.p(size.width / 2 - 360, size.height / 4 - 50),
			     cc.p(size.width / 2 - 120, size.height / 4 - 50),
			     cc.p(size.width / 2 + 120, size.height / 4 - 50),
			     cc.p(size.width / 2 + 360, size.height / 4 - 50)
			],
			timmer:cc.p(size.width * 3 / 4, size.height / 2),
			score:cc.p(size.width * 3 / 4 + 30, size.height / 2 + 135)
		},
		tar_scale:0.95,
		nstage:15,
		time:10,
		pos_progress:cc.p(size.width * 3 / 4 + 30, size.height / 2),
		pos_clock:cc.p(size.width * 3 / 4 + 188, size.height / 2)
	}
}