
var LearnLayer = cc.Layer.extend({
	arry_cate:null,
	sub_type:null,
	cur_index : null,
	group:null,
	total:null,
	img:null,
	lab_cn:null,
	lab_en:null,
	arry_listener:null,
    ctor:function (group) {
        //////////////////////////////
        // 1. super init first
        this._super();
        this.group = group;
        this.cur_index = 0;
        this.arry_cate = new Array();
        this.total = Config_Game.arry_num[this.group];
        switch (this.group) {
		case 0:
		{
			this.arry_cate = Config_Game.fruit;
			this.sub_type = "fruit";
			break;
		}
		case 1:
		{
			this.arry_cate = Config_Game.vegetable;
			this.sub_type = "vegetable";
			break;
		}
		case 2:
		{
			this.arry_cate = Config_Game.car;
			this.sub_type = "car";
			break;
		}
		case 3:
		{
			this.arry_cate = Config_Game.animal;
			this.sub_type = "animal";
			break;
		}
		case 4:
        {
        	this.arry_cate = Config_Game.yesheng;
        	this.sub_type = "yesheng";
        	break;
        }
		default:
			break;
		}
        this.createLayer();
        this.addMenu();
        
        this.img.runAction(cc.fadeTo(0.2, 255));
        this.lab_cn.runAction(cc.fadeTo(0.2, 255));
        this.lab_en.runAction(cc.fadeTo(0.2, 255));
        this.scheduleOnce(function() {
        	customPlayEffect(audioPath("", this.sub_type, this.arry_cate[this.cur_index].pic, ""), false, true);
		}.bind(this), 0.5);
        
        this.createListener();
        
        this.addBackKeyListener();
        
        return true;
    },
    createLayer:function(){
    	var background = new cc.Sprite(resPaht("game", null, "background"));
    	background.setAnchorPoint(cc.p(0, 0));
    	background.scaleX = winWidth() / 1136;
    	this.addChild(background, 0);
    	
    	var pic_back = new cc.Sprite(resPaht("game", null, "card_back"));
    	pic_back.setPosition(Config_Game.pos.pic);
    	pic_back.setScale(1, 1.1);
    	this.addChild(pic_back, 1);
    	
    	this.img = new cc.Sprite(resPaht("game", this.sub_type, this.arry_cate[this.cur_index].pic));
    	this.img.setPosition(Config_Game.pos.img);
    	this.img.scale = 0.8;
    	this.addChild(this.img, 2);
    	
    	this.lab_cn = new cc.LabelTTF(this.arry_cate[this.cur_index].cn, "Arial", 55);
    	this.lab_cn.setPosition(Config_Game.pos.cn);
    	this.lab_cn.setFontFillColor(cc.color(255, 114, 44, 255));
    	this.addChild(this.lab_cn, 3);
    	
    	this.lab_en = new cc.LabelTTF(this.arry_cate[this.cur_index].en, "Arial", 45);
    	this.lab_en.setPosition(Config_Game.pos.en);
    	this.lab_en.setFontFillColor(cc.color(16, 43, 10, 255));
    	this.addChild(this.lab_en, 4);
    	
    	this.img.setOpacity(0);
    	this.lab_cn.setOpacity(0);
    	this.lab_en.setOpacity(0);
    },
    createListener:function(){
    	this.arry_listener = [null, null, null];
    	var self = this;
    	var sprite_listener = cc.EventListener.create({
    		event: cc.EventListener.TOUCH_ONE_BY_ONE,
    		swallowTouches: true,
    		onTouchBegan: function (touch, event) {
    			self.sprite_select = null;
    			var target = event.getCurrentTarget();
    			var locationInNode = target.convertToNodeSpace(touch.getLocation());

    			var s = target.getContentSize();
    			var rect = cc.rect(0, 0, s.width, s.height);

    			if (cc.rectContainsPoint(rect, locationInNode)) {
    				self.sprite_select = target;

    				return true;
    			}else {
    				self.sprite_select = null;
    			}
    			return false;
    		},
    		onTouchMoved: function (touch, event) {

    		},
    		onTouchEnded: function (touch, event) {
    			self.checkSelect();
    		}
    	});

    	this.arry_listener[0] = sprite_listener.clone();
    	this.arry_listener[0].retain();
    	this.arry_listener[1] = sprite_listener.clone();
    	this.arry_listener[1].retain();
    	this.arry_listener[2] = sprite_listener.clone();
    	this.arry_listener[2].retain();
    	
    	cc.eventManager.addListener(this.arry_listener[0], this.img);
    	cc.eventManager.addListener(this.arry_listener[1], this.lab_cn);
    	cc.eventManager.addListener(this.arry_listener[2], this.lab_en);
    },
    checkSelect:function(){
    	
    	if (this.sprite_select == this.img) {
    		cc.log("img select !!");
    		customPlayEffect(audioPath("", this.sub_type, this.arry_cate[this.cur_index].pic, ""), false, true);
    	}else if (this.sprite_select == this.lab_cn) {
    		customPlayEffect(audioPath("", this.sub_type, this.arry_cate[this.cur_index].pic, ""), false, true);
    	}else if (this.sprite_select == this.lab_en) {
    		customPlayEffect(audioPath("", this.sub_type, this.arry_cate[this.cur_index].pic, "_en"), false, true);
    	}
    },
    addMenu:function(){
    	var arry_menu_item = [];
    	var backItem = new cc.MenuItemImage(
    			resPaht("home", null, "return"),
    			resPaht("home", null, "return"),
    			function () {
    			    ddStopAllAudios();
    				this.cleanScene();
    				cc.director.popScene();
    			}, this);
    	backItem.attr({
    		x: Config_Global.pos_ret.x,
    		y: Config_Global.pos_ret.y,
    		anchorX: 0.5,
    		anchorY: 0.5
    	});
    	arry_menu_item[0] = backItem;

    	this.menu_item_left = new cc.MenuItemImage(
    			resPaht("game", null, "prev"),
    			resPaht("game", null, "prev"),
    			function () {
    				this.changeBtnClick("prev");
    			}, this);
    	this.menu_item_left.attr({
    		x: Config_Game.pos.btn_left.x,
    		y: Config_Game.pos.btn_left.y,
    		scale: 1.1,
    		anchorX: 0.5,
    		anchorY: 0.5
    	});
    	arry_menu_item[1] = this.menu_item_left;
    	
    	this.menu_item_right = new cc.MenuItemImage(
    			resPaht("game", null, "prev"),
    			resPaht("game", null, "prev"),
    			function () {
    				this.changeBtnClick("next");
    			}, this);
    	this.menu_item_right.attr({
    		x: Config_Game.pos.btn_right.x,
    		y: Config_Game.pos.btn_right.y,
    		scale: 1.1,
    		anchorX: 0.5,
    		anchorY: 0.5,
    		rotation:180
    	});
    	arry_menu_item[2] = this.menu_item_right;

    	var menu = new cc.Menu(arry_menu_item);
    	menu.x = 0;
    	menu.y = 0;
    	this.addChild(menu, 100);
    },
    changeBtnClick:function(direction){
    	this.img.setOpacity(0);
    	this.lab_cn.setOpacity(0);
    	this.lab_en.setOpacity(0);
    	switch (direction) {
		case "prev":
		{
			if (this.cur_index == 0) {
				this.cur_index = this.total - 1;
			}else {
				this.cur_index = this.cur_index - 1;
			}
			this.cur_index = (this.cur_index) % this.total;
			
			break;
		}
		case "next":
		{
			this.cur_index = (this.cur_index + 1) % this.total;
			break;
		}
		default:
			break;
		}
    	
    	this.img.setTexture(resPaht("game", this.sub_type, this.arry_cate[this.cur_index].pic));
    	this.lab_cn.setString(this.arry_cate[this.cur_index].cn);
    	this.lab_en.setString(this.arry_cate[this.cur_index].en);
    	
    	this.img.runAction(cc.fadeTo(0.2, 255));
    	this.lab_cn.runAction(cc.fadeTo(0.2, 255));
    	this.lab_en.runAction(cc.fadeTo(0.2, 255));

    	customPlayEffect(audioPath("", this.sub_type, this.arry_cate[this.cur_index].pic, ""), false, true);
    },
    cleanScene:function(){
    	cc.log("clean scene click!");
    	for (var n_index = 0; n_index < this.arry_listener.length; n_index++) {
    		cc.eventManager.removeListener(this.arry_listener[n_index]);
    		releaseObj(this.arry_listener[n_index]);
    	}
    },
    addBackKeyListener:function(){
    	var self = this;
    	cc.eventManager.addListener({
    		event: cc.EventListener.KEYBOARD,
    		onKeyReleased: function(keyCode, event) {
    			if (keyCode == cc.KEY.back) {
    				ddStopAllAudios();
    				self.cleanScene();
    				cc.director.popScene();
    			}
    		}}, this);
    }
});

var LearnScene = cc.Scene.extend({
    ctor:function (group) {
        this._super();
        var layer = new LearnLayer(group);
        this.addChild(layer);
    }
});

