var SrcSprite = cc.Sprite.extend({
	enable:null,
	item:null,
	right:null,
	
	nameLab:null,
	rightFlag:null,
	ctor:function(chose_item){
		this._super(resPaht("chose", null, "src_back"));
		this.enable = true;
		this.item = chose_item;
		
		var rect = this.getTextureRect();
		
		this.nameLab = new cc.LabelTTF(this.item.getCn(), "Arial", 45);
		this.nameLab.setPosition(cc.p(rect.width / 2, rect.height / 2));
		this.nameLab.setFontFillColor(cc.color(255, 255, 255, 255));
		this.addChild(this.nameLab, 3);
		
		this.rightFlag = new cc.Sprite(resPaht("chose", "", "right"));
		this.rightFlag.setPosition(cc.p(rect.width / 2, rect.height / 2));
		this.rightFlag.setVisible(false);
		this.addChild(this.rightFlag, 4);
	},
	setInfo:function(chose_item){
		this.item = chose_item;
		this.enable = true;
		this.nameLab.setOpacity(0);
		this.nameLab.setString(this.item.getCn());
		this.nameLab.runAction(cc.fadeTo(0.1, 255));
	},
	getType:function(){
		return this.item.getType();
	},
	getName:function(){
		return this.item.getCn();
	},
	setEnable:function(enable){
		this.enable = enable;
	},
	isEnable:function(){
		return this.enable;
	},
	setRight:function(enable, right){
		if (enable) {
			if (right) {
				this.rightFlag.setTexture(resPaht("chose", "", "right"));
			} else {
				this.rightFlag.setTexture(resPaht("chose", "", "wrong"));
			}
			this.rightFlag.setVisible(true);
		}else {
			this.rightFlag.setVisible(false);
		}
	}
});