var TargetSprite = cc.Sprite.extend({
	enable:null,
	target:null,
	item:null,
	ctor:function(chose_item){
		this._super(resPaht("chose", "", "card_back"));
		this.target = new cc.Sprite(resPaht("game", chose_item.getType(), chose_item.getPic()));
		this.target.setScale(0.65);
		this.target.setOpacity(0);
		this.addChild(this.target, 2);
		
		var rect = this.getTextureRect();
		this.target.setPosition(cc.p(rect.width / 2, rect.height / 2 + 5));
		this.enable = true;
		this.item = chose_item;
	},
	setInfo:function(chose_item){
		this.item = chose_item;
		this.enable = true;
		this.target.setOpacity(0);
		this.target.setTexture(resPaht("game", chose_item.getType(), chose_item.getPic()));
		this.target.runAction(cc.sequence(cc.fadeTo(0.1, 255), cc.scaleTo(0.1, 0.55), cc.scaleTo(0.1, 0.65)));
	},
	getName:function(){
		return this.item.getCn();
	},
	getType:function(){
		return this.item.getType();
	},
	setEnable:function(enable){
		this.enable = enable;
	},
	isEnable:function(){
		return this.enable;
	}
});